New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Janestreet part2 v0.9 #9132

Merged
merged 2 commits into from May 12, 2017

Conversation

Projects
None yet
3 participants
@diml
Member

diml commented May 10, 2017

No description provided.

@camelus

This comment has been minimized.

Show comment
Hide comment
@camelus

camelus May 10, 2017

All lint checks passed 39d1e65
  • These packages passed lint tests: configurator.v0.9.0, core.v0.9.0, core_kernel.v0.9.0, jane-street-headers.v0.9.0, spawn.v0.9.0

Installability check (6637 → 6642)
  • new installable packages (5): configurator.v0.9.0 core.v0.9.0
    core_kernel.v0.9.0 jane-street-headers.v0.9.0 spawn.v0.9.0

camelus commented May 10, 2017

All lint checks passed 39d1e65
  • These packages passed lint tests: configurator.v0.9.0, core.v0.9.0, core_kernel.v0.9.0, jane-street-headers.v0.9.0, spawn.v0.9.0

Installability check (6637 → 6642)
  • new installable packages (5): configurator.v0.9.0 core.v0.9.0
    core_kernel.v0.9.0 jane-street-headers.v0.9.0 spawn.v0.9.0

avsm added a commit to mirage/opam-repository that referenced this pull request May 11, 2017

avsm added a commit to mirage/opam-repository that referenced this pull request May 11, 2017

avsm added a commit to mirage/opam-repository that referenced this pull request May 11, 2017

@avsm avsm referenced this pull request May 11, 2017

Merged

rubytt: upper bound on core #9143

avsm added a commit to mirage/opam-repository that referenced this pull request May 11, 2017

gpr: upper bound on core
Seeing a linking exception
```
gcc: error: src/liblacaml_stubs.a: No such file or directory
File "caml_startup", line 1:
Error: Error during linking
```

helps with revdeps on #9132

@avsm avsm referenced this pull request May 11, 2017

Closed

gpr: upper bound on core #9144

@avsm

This comment has been minimized.

Show comment
Hide comment
@avsm

avsm May 12, 2017

Member

ok upper bounds fixed mostly so merging this

@dim it needs a < 4.05 constraint on core

# File "src/core_unix.mli", line 398, characters 0-858:
# Error: This variant or record definition does not match that of type
#          Unix.open_flag
#        The field O_KEEPEXEC is only present in the original definition.
Member

avsm commented May 12, 2017

ok upper bounds fixed mostly so merging this

@dim it needs a < 4.05 constraint on core

# File "src/core_unix.mli", line 398, characters 0-858:
# Error: This variant or record definition does not match that of type
#          Unix.open_flag
#        The field O_KEEPEXEC is only present in the original definition.

@avsm avsm merged commit 3e62349 into ocaml:master May 12, 2017

10 of 11 checks passed

continuous-integration/travis-ci/pr The Travis CI build failed
Details
camelus All tests passed
ci/datakit/1 V1.2 Build V1.2 Build
Details
ci/datakit/1 V2.0 Build V2.0 Build
Details
ci/datakit/2 V2.0 Revdeps V2.0 Revdeps
Details
ci/datakit/3 V1.2 Compilers V1.2 Compilers
Details
ci/datakit/3 V2.0 Compilers V2.0 Compilers
Details
ci/datakit/4 V1.2 Common Distros V1.2 Common Distros
Details
ci/datakit/4 V2.0 Common Distros V2.0 Common Distros
Details
ci/datakit/5 V1.2 All Distros V1.2 All Distros
Details
ci/datakit/5 V2.0 All Distros V2.0 All Distros
Details
@diml

This comment has been minimized.

Show comment
Hide comment
@diml

diml May 12, 2017

Member

Indeed, I didn't put the right version in the #if... I'll add the constraint and do a minor release

Member

diml commented May 12, 2017

Indeed, I didn't put the right version in the #if... I'll add the constraint and do a minor release

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment